import { Reducible, Action } from 'pretur.redux';
declare abstract class UniqueReducible implements Reducible {
    private _id;
    constructor();
    id: number;
    abstract reduce(action: Action<any, any>): this;
    protected clone(): this;
    protected cloneOverride(clone: this): void;
    protected abstract createInstance(): this;
}
export default UniqueReducible;
