import { Action } from 'pretur.redux';
import { SubQuery } from 'pretur.sync';
import UniqueReducible from '../UniqueReducible';
import Includer from './Includer';
import Filterer from './Filterer';
import Attributor from './Attributor';
import Paginator from './Paginator';
export default class SubQuerier extends UniqueReducible {
    private _model;
    private _count;
    private _includer;
    private _filterer;
    private _attributor;
    private _paginator;
    constructor(subquery: SubQuery);
    model: string;
    count: boolean;
    includer: Includer;
    filterer: Filterer;
    attributor: Attributor;
    paginator: Paginator;
    plain: SubQuery;
    reduce(action: Action<any, any>): this;
    protected cloneOverride(clone: this): void;
    protected createInstance(): this;
}
